SCM

[#6491] Can packages depend on JAGS?

View Trackers | Support | Download .csv | Monitor

Date:
2017-02-14 19:14
Priority:
3
State:
Closed
Submitted by:
Vincent Carey (stvjc)
Assigned to:
Philipp Pausakerl (ppause)
Hardware:
None
Operating System:
None
Severity:
None
 
URL:
Summary:
Can packages depend on JAGS?

Detailed description
JAGS is distributed at http://mcmc-jags.sourceforge.net/ and is a SystemRequirement of the CRAN package rjags. I am finding that a package with this SystemRequirement will not build, e.g.:

* installing *source* package 'barca' ...
** R
** inst
** preparing package for lazy loading
Error : .onLoad failed in loadNamespace() for 'rjags', details:
call: fun(libname, pkgname)
error: Failed to locate any version of JAGS version 4

The rjags package is just an interface to the JAGS library
Make sure you have installed JAGS-4.x.y.exe (for any x >=0, y>=0) from
http://www.sourceforge.net/projects/mcmc-jags/files

Error : package 'rjags' could not be loaded
ERROR: lazy loading failed for package 'barca'
* removing 'R:/run/building/build_2017-02-14-19-23/RF_PKG_CHECK/PKGS/barca.Rcheck/barca'

Followup

Message
Date: 2017-02-15 14:42
Sender: Philipp Pausakerl

Hi,

thank you for pointing this out.
JAGS 4 was indeed missing and has just been added on our building machines.
Please trigger a rebuild and let me know in case it still didn't work.

Best regards,
Philipp

Attached Files:

Changes:

Field Old Value Date By
close_dateNone2017-08-31 15:37ppause
status_idOpen2017-08-31 15:37ppause
assigned_tonone2017-02-15 14:42ppause
Thanks to:
Vienna University of Economics and Business University of Wisconsin - Madison Powered By FusionForge